
                (function() {
                    var nodeEnv = typeof require !== 'undefined' && typeof process !== 'undefined';
                    var __module = nodeEnv ? module : {exports:{}};
                    var __filename = 'preview-scripts/__qc_index__.js';
                    var __require = nodeEnv ? function (request) {
                        return cc.require(request);
                    } : function (request) {
                        return __quick_compile_project__.require(request, __filename);
                    };
                    function __define (exports, require, module) {
                        if (!nodeEnv) {__quick_compile_project__.registerModule(__filename, module);}
require('./assets/choose_cake/prefabs/choose_cake_Cake');
require('./assets/choose_cake/scene/choose_cake');
require('./assets/choose_cake/script/choose_cake_MusicNode');
require('./assets/choose_cake/script/choose_cake_defaultData');
require('./assets/choose_cake/script/choose_cake_utils');
require('./assets/choose_cake/script/runtime');

                    }
                    if (nodeEnv) {
                        __define(__module.exports, __require, __module);
                    }
                    else {
                        __quick_compile_project__.registerModuleFunc(__filename, function () {
                            __define(__module.exports, __require, __module);
                        });
                    }
                })();